Bug 233638 - missing hardware ids for WLA-1000 and TL-WN722N v2 wireless dongles
Summary: missing hardware ids for WLA-1000 and TL-WN722N v2 wireless dongles
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 11.2-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-wireless mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-11-29 14:42 UTC by cezary.sliwa
Modified: 2018-12-20 03:14 UTC (History)
1 user (show)

See Also:


Attachments
patch for Sitecom WLA-1000 and TP-Link TL-WN722N v2 (2.01 KB, patch)
2018-11-29 14:42 UTC, cezary.sliwa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cezary.sliwa 2018-11-29 14:42:43 UTC
Created attachment 199671 [details]
patch for Sitecom WLA-1000 and TP-Link TL-WN722N v2

Drivers are missing hardware ids for the following usb dongles:

Sitecom WLA-1000, 0x0df6:0x005b (driver: rsu)
TP-Link TL-WN722N v2, 0x2357:0x010c (driver: urtwn)

They are included in the attached diff.

There may be some issues, like:

wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost

rsu0: could not load firmware section EMEM
rsu0: could not send site survey command

but once configured and left alone it appears to work - except for interoperability with my Linux laptop which has a Broadcom wireless.
Comment 1 commit-hook freebsd_committer 2018-12-10 09:46:57 UTC
A commit references this bug:

Author: avos
Date: Mon Dec 10 09:45:58 UTC 2018
New revision: 341786
URL: https://svnweb.freebsd.org/changeset/base/341786

Log:
  rtwn, rsu: add more USB ids.

  PR:		233638
  Submitted by:	cezary.sliwa@gmail.com
  MFC after:	3 days

Changes:
  head/sys/dev/rtwn/usb/rtwn_usb_attach.h
  head/sys/dev/usb/usbdevs
  head/sys/dev/usb/wlan/if_rsu.c
Comment 2 Andriy Voskoboinyk freebsd_committer 2018-12-10 09:53:29 UTC
Hi,

Can you check WLA1000 with RSU_DEV_HT (instead of RSU_DEV) macro?

From the site http://www.sitecomlearningcentre.com/products/wla-1000v1001/wireless-network-usb-micro-adapter-n150-x1 HT seems to be supported by this dongle.
Comment 3 cezary.sliwa 2018-12-12 08:47:16 UTC
I tried with HT, as far as I remember this is when I get these messages about firmware loading problems; an initial scan shows some stations, then they all disappear.


NB. TP-Links products with differing version numbers have different chips. It may be a good idea to include the version number (v2) in the device name.

The remaining issue is that I am not able to use a hostap on FreeBSD from my Linux laptop (BCM43228).
Comment 4 commit-hook freebsd_committer 2018-12-20 02:51:32 UTC
A commit references this bug:

Author: avos
Date: Thu Dec 20 02:50:25 UTC 2018
New revision: 342273
URL: https://svnweb.freebsd.org/changeset/base/342273

Log:
  MFC r341786, r342156
  rtwn, rsu: add more USB ids.

  PR:		233638
  Submitted by:	cezary.sliwa@gmail.com

Changes:
_U  stable/12/
  stable/12/sys/dev/rtwn/usb/rtwn_usb_attach.h
  stable/12/sys/dev/usb/usbdevs
  stable/12/sys/dev/usb/wlan/if_rsu.c
Comment 5 commit-hook freebsd_committer 2018-12-20 03:10:48 UTC
A commit references this bug:

Author: avos
Date: Thu Dec 20 03:10:24 UTC 2018
New revision: 342274
URL: https://svnweb.freebsd.org/changeset/base/342274

Log:
  MFC r306173:
  Add TP-Link Archer T4U (and TPLINK vendor record in usbdevs).

  MFC r341786,r342156
  urtwn, rsu: add more USB ids (rtwn -> urtwn merge was done manually).

  PR:		233638
  Submitted by:	cezary.sliwa@gmail.com

Changes:
_U  stable/11/
  stable/11/sys/dev/urtwn/if_urtwn.c
  stable/11/sys/dev/usb/usbdevs
  stable/11/sys/dev/usb/wlan/if_rsu.c
Comment 6 Andriy Voskoboinyk freebsd_committer 2018-12-20 03:14:14 UTC
Committed, thanks!